Package net.md_5.bungee.protocol.packet

# Class Login

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.Login

public class Login extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Login()`
  `Login(int entityId, boolean hardcore, short gameMode, short previousGameMode, Set<String> worldNames, Tag dimensions, Object dimension, String worldName, long seed, short difficulty, int maxPlayers, String levelType, int viewDistance, int simulationDistance, boolean reducedDebugInfo, boolean normalRespawn, boolean limitedCrafting, boolean debug, boolean flat, Location deathLocation, int portalCooldown, int seaLevel, boolean secureProfile)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Location`
  `getDeathLocation()`
  `short`
  `getDifficulty()`
  `Object`
  `getDimension()`
  `Tag`
  `getDimensions()`
  `int`
  `getEntityId()`
  `short`
  `getGameMode()`
  `String`
  `getLevelType()`
  `int`
  `getMaxPlayers()`
  `int`
  `getPortalCooldown()`
  `short`
  `getPreviousGameMode()`
  `int`
  `getSeaLevel()`
  `long`
  `getSeed()`
  `int`
  `getSimulationDistance()`
  `int`
  `getViewDistance()`
  `String`
  `getWorldName()`
  `Set<String>`
  `getWorldNames()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `boolean`
  `isDebug()`
  `boolean`
  `isFlat()`
  `boolean`
  `isHardcore()`
  `boolean`
  `isLimitedCrafting()`
  `boolean`
  `isNormalRespawn()`
  `boolean`
  `isReducedDebugInfo()`
  `boolean`
  `isSecureProfile()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setDeathLocation(Location deathLocation)`
  `void`
  `setDebug(boolean debug)`
  `void`
  `setDifficulty(short difficulty)`
  `void`
  `setDimension(Object dimension)`
  `void`
  `setDimensions(Tag dimensions)`
  `void`
  `setEntityId(int entityId)`
  `void`
  `setFlat(boolean flat)`
  `void`
  `setGameMode(short gameMode)`
  `void`
  `setHardcore(boolean hardcore)`
  `void`
  `setLevelType(String levelType)`
  `void`
  `setLimitedCrafting(boolean limitedCrafting)`
  `void`
  `setMaxPlayers(int maxPlayers)`
  `void`
  `setNormalRespawn(boolean normalRespawn)`
  `void`
  `setPortalCooldown(int portalCooldown)`
  `void`
  `setPreviousGameMode(short previousGameMode)`
  `void`
  `setReducedDebugInfo(boolean reducedDebugInfo)`
  `void`
  `setSeaLevel(int seaLevel)`
  `void`
  `setSecureProfile(boolean secureProfile)`
  `void`
  `setSeed(long seed)`
  `void`
  `setSimulationDistance(int simulationDistance)`
  `void`
  `setViewDistance(int viewDistance)`
  `void`
  `setWorldName(String worldName)`
  `void`
  `setWorldNames(Set<String> worldNames)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Login

    public Login()

  - ### Login

    public Login(int entityId, boolean hardcore, short gameMode, short previousGameMode, Set<String> worldNames, Tag dimensions, Object dimension, String worldName, long seed, short difficulty, int maxPlayers, String levelType, int viewDistance, int simulationDistance, boolean reducedDebugInfo, boolean normalRespawn, boolean limitedCrafting, boolean debug, boolean flat, Location deathLocation, int portalCooldown, int seaLevel, boolean secureProfile)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getEntityId

    public int getEntityId()

  - ### isHardcore

    public boolean isHardcore()

  - ### getGameMode

    public short getGameMode()

  - ### getPreviousGameMode

    public short getPreviousGameMode()

  - ### getWorldNames

    public Set<String> getWorldNames()

  - ### getDimensions

    public Tag getDimensions()

  - ### getDimension

    public Object getDimension()

  - ### getWorldName

    public String getWorldName()

  - ### getSeed

    public long getSeed()

  - ### getDifficulty

    public short getDifficulty()

  - ### getMaxPlayers

    public int getMaxPlayers()

  - ### getLevelType

    public String getLevelType()

  - ### getViewDistance

    public int getViewDistance()

  - ### getSimulationDistance

    public int getSimulationDistance()

  - ### isReducedDebugInfo

    public boolean isReducedDebugInfo()

  - ### isNormalRespawn

    public boolean isNormalRespawn()

  - ### isLimitedCrafting

    public boolean isLimitedCrafting()

  - ### isDebug

    public boolean isDebug()

  - ### isFlat

    public boolean isFlat()

  - ### getDeathLocation

    public Location getDeathLocation()

  - ### getPortalCooldown

    public int getPortalCooldown()

  - ### getSeaLevel

    public int getSeaLevel()

  - ### isSecureProfile

    public boolean isSecureProfile()

  - ### setEntityId

    public void setEntityId(int entityId)

  - ### setHardcore

    public void setHardcore(boolean hardcore)

  - ### setGameMode

    public void setGameMode(short gameMode)

  - ### setPreviousGameMode

    public void setPreviousGameMode(short previousGameMode)

  - ### setWorldNames

    public void setWorldNames(Set<String> worldNames)

  - ### setDimensions

    public void setDimensions(Tag dimensions)

  - ### setDimension

    public void setDimension(Object dimension)

  - ### setWorldName

    public void setWorldName(String worldName)

  - ### setSeed

    public void setSeed(long seed)

  - ### setDifficulty

    public void setDifficulty(short difficulty)

  - ### setMaxPlayers

    public void setMaxPlayers(int maxPlayers)

  - ### setLevelType

    public void setLevelType(String levelType)

  - ### setViewDistance

    public void setViewDistance(int viewDistance)

  - ### setSimulationDistance

    public void setSimulationDistance(int simulationDistance)

  - ### setReducedDebugInfo

    public void setReducedDebugInfo(boolean reducedDebugInfo)

  - ### setNormalRespawn

    public void setNormalRespawn(boolean normalRespawn)

  - ### setLimitedCrafting

    public void setLimitedCrafting(boolean limitedCrafting)

  - ### setDebug

    public void setDebug(boolean debug)

  - ### setFlat

    public void setFlat(boolean flat)

  - ### setDeathLocation

    public void setDeathLocation(Location deathLocation)

  - ### setPortalCooldown

    public void setPortalCooldown(int portalCooldown)

  - ### setSeaLevel

    public void setSeaLevel(int seaLevel)

  - ### setSecureProfile

    public void setSecureProfile(boolean secureProfile)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`